BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BMA.EHR.Placement.Service.Controllers.NotifyController Class Reference
Inheritance diagram for BMA.EHR.Placement.Service.Controllers.NotifyController:

## Public Member Functions
| NotifyController (PlacementRepository repository, ApplicationDBContext context, MinIOService documentService, NotificationRepository repositoryNoti, IHttpContextAccessor httpContextAccessor)
async Task< ActionResult< ResponseObject > > | UpdatePropertyByUser ([FromBody] NotiRequest req)
async Task< ActionResult< ResponseObject > > | CornjobProbation ([FromBody] NotiCronjobProbationRequest req)

## Additional Inherited Members
Protected Member Functions inherited from BMA.EHR.Domain.Common.BaseController
virtual ActionResult< ResponseObject > | Success (string message, object? result=null)
virtual ActionResult< ResponseObject > | Success (object? result=null)
virtual ActionResult< ResponseObject > | Error (string message, string result, int statusCode=StatusCodes.Status500InternalServerError)
virtual ActionResult< ResponseObject > | Error (string message, int statusCode=StatusCodes.Status500InternalServerError)
virtual ActionResult< ResponseObject > | Error (Exception exception, string message, int statusCode=StatusCodes.Status500InternalServerError)
virtual ActionResult< ResponseObject > | Error (Exception exception, int statusCode=StatusCodes.Status500InternalServerError)

## Constructor & Destructor Documentation

## ◆ NotifyController()

BMA.EHR.Placement.Service.Controllers.NotifyController.NotifyController | ( | PlacementRepository | repository,
|  | ApplicationDBContext | context,
|  | MinIOService | documentService,
|  | NotificationRepository | repositoryNoti,
|  | IHttpContextAccessor | httpContextAccessor
| ) |  |
| inline

## Member Function Documentation

## ◆ CornjobProbation()

async Task< ActionResult< ResponseObject > > BMA.EHR.Placement.Service.Controllers.NotifyController.CornjobProbation | ( | [FromBody] NotiCronjobProbationRequest | req | ) |
| inline

## ◆ UpdatePropertyByUser()

async Task< ActionResult< ResponseObject > > BMA.EHR.Placement.Service.Controllers.NotifyController.UpdatePropertyByUser | ( | [FromBody] NotiRequest | req | ) |
| inline

The documentation for this class was generated from the following file:

- BMA.EHR.Placement.Service/Controllers/NotifyController.cs